# class Tk::Iwidgets::Feedback

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

reset() click to toggle source

    # File lib/tkextlib/iwidgets/feedback.rb, line 27
    def reset
      tk_call(@path, 'reset')
      self
    end

step(inc=1) click to toggle source

    # File lib/tkextlib/iwidgets/feedback.rb, line 32
    def step(inc=1)
      tk_call(@path, 'step', inc)
      self
    end

### Private Instance Methods

__strval_optkeys() click to toggle source
Calls superclass method Tk::Iwidgets::Labeledwidget#__strval_optkeys

    # File lib/tkextlib/iwidgets/feedback.rb, line 22
    def __strval_optkeys
      super() << 'barcolor'
    end